PipeWire: spa_chunk Struct Reference

PipeWire 1.6.7

Loading...
Searching...
No Matches
spa_chunk Struct Reference
SPA » Buffers

Chunk of memory, can change for each buffer. More...

`#include <spa/buffer/buffer.h>`

## Data Fields
uint32_t | offset
| offset of valid data.
uint32_t | size
| size of valid data.
int32_t | stride
| stride of valid data
int32_t | flags
| chunk flags

## Detailed Description

Chunk of memory, can change for each buffer.

Examples
  local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, and spa/examples/local-videotestsrc.c.

## Field Documentation

## ◆ offset

uint32_t spa_chunk::offset

offset of valid data.

Should be taken modulo the data maxsize to get the offset in the data memory.

Examples
  audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-source.c, midi-src.c, tutorial4.c, video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ size

uint32_t spa_chunk::size

size of valid data.

Should be clamped to maxsize.

Examples
  audio-capture.c, audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-source.c, midi-src.c, tutorial4.c, tutorial5.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ stride

int32_t spa_chunk::stride

stride of valid data

Examples
  audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, midi-src.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, tutorial4.c, video-dsp-play.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play-sync.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, video-src-sync.c, and video-src.c.

## ◆ flags

int32_t spa_chunk::flags

chunk flags

Examples
  midi-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/buffer.h